Bug 220253 - Need checkbox for CUPS in trusted services (ipp)
Need checkbox for CUPS in trusted services (ipp)
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-12-19 17:02 EST by Graham Campbell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-20 09:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Campbell 2006-12-19 17:02:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20061107 Fedora/ Firefox/

Description of problem:
I would avoid a lot of puzzlement as to why CUPS printer sharing is not working.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Turn on default firewall settings

Actual Results:
CUPS automatic printer sharing does not work

Expected Results:
CUPS published printers appear on neighboring systems and printing to them works.

Additional info:
Comment 1 Chris Lumens 2006-12-19 17:09:17 EST
This service should actually be opened by default regardless of your other
firewall settings:

        /* Allow CUPS browsing */
        fprintf(fw, "-A %s -p udp -m udp --dport 631 -j ACCEPT\n", CHAIN_NAME);
        fprintf(fw, "-A %s -p tcp -m tcp --dport 631 -j ACCEPT\n", CHAIN_NAME);

What do your firewall rules look like after running system-config-securitylevel?
Comment 2 Graham Campbell 2006-12-19 20:32:47 EST
My apologies, I cannot reproduce this problem.
Comment 3 Chris Lumens 2006-12-20 09:46:46 EST
Okay, feel free to reopen this bug if you are able to reproduce.

Note You need to log in before you can comment on or make changes to this bug.